Payment Status
Fetches the current status of a given payment link
Query Parameters
sbTranId Sbtranid required
Unique id identying the trade transaction entered by the user
Responses
- 200
- 422
Successful Response
application/json
Schema
Example (from schema)
Schema
- Array [
- ]
reqId Reqid
errors object[]
errorType Errortype
Error Type
errorMessage Errormessage
Error Message
data object required
status Status
Status of the payment link
createAt Createat
Date of payment link creation
referenceId Referenceid
Unique reference id of the payment link shared by the payment gateway
lastUpdatedDate Lastupdateddate
Date on which the payment link was last updated
paymentLink Paymentlink
Payment link as issued by the payement gateway
paymentId Paymentid
Unique identifier to identify a payment link
{
"reqId": "string",
"errors": [
{
"errorType": "string",
"errorMessage": "string"
}
],
"data": {
"status": "string",
"createAt": 0,
"referenceId": "string",
"lastUpdatedDate": "string",
"paymentLink": "string",
"paymentId": "string"
}
}
Validation Error
application/json
Schema
Example (from schema)
Schema
- Array [
- Array [
- ]
- ]
detail object[]
loc object[] required
oneOf
MOD1
MOD2
string
integer
msg Message required
type Error Type required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}
Loading...